PUT Upsert Sku Images

Insert product sku images.
A upsert statement verify if already exists a product with the code set on body request and updates an existing product or creates a new one.
This request is an array, so you can insert more than one image by query.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

❗️

Take notice!

This request updates all values already set. Pay attention and don't have anything lost!

Request body example

[
  {
    "imageUrl": "https://neomode.com.br/images/sample-image.jpg",
    "order": 1
  }
]

Fields Description

FieldTypeDescription
imageUrlStringImage address
orderIntThe order where the image appears on catalog

📘

Result

A 204- No Content result means that the stock was successfully updated.

Path Params
string
enum
required

Use "api" for production environment or "hlg-api" for homolog

Allowed:
string
required

Sku ID (Guid)

Body Params
RAW_BODY
array of objects
required

An array with the sku images body.

RAW_BODY*
Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json